%define oname akonadi

Summary:	An extensible cross-desktop storage service for Plasma 5 PIM
Name:		plasma5-%{oname}
Version:	16.04.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	xsltproc
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	mariadb-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5designerplugin-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(sqlite3)
Requires:	mariadb-common
# Needed for mysqlcheck  which is used in akonadi
Requires:	mariadb-client
Requires:	mariadb-server
Requires:	qt5-database-plugin-mysql
Conflicts:	akonadi

%description
An extensible cross-desktop storage service for Plasma 5 PIM data and meta data
providing concurrent read, write, and query access.

%files
%{_kde5_bindir}/akonadi_agent_launcher
%{_kde5_bindir}/akonadi_agent_server
%{_kde5_bindir}/akonadi_control
%{_kde5_bindir}/akonadi_rds
%{_kde5_bindir}/akonadictl
%{_kde5_bindir}/akonadiserver
%{_kde5_bindir}/asapcat
%{_kde5_sysconfdir}/xdg/akonadi.categories
%{_kde5_sysconfdir}/xdg/akonadi/*.conf
%{_datadir}/dbus-1/services/org.freedesktop.Akonadi.Control.service
%{_datadir}/mime/packages/akonadi-mime.xml
%{_qt5_plugindir}/sqldrivers/libqsqlite3.so

#----------------------------------------------------------------------------

%package -n plasma5-akonadi-client
Summary:	Plasma 5 Akonadi Client
Group:		Graphical desktop/KDE
Conflicts:	kdepimlibs4-core

%description -n plasma5-akonadi-client
Plasma 5 Akonadi Client.

%files -n plasma5-akonadi-client
%{_kde5_bindir}/akonadi2xml
%{_kde5_bindir}/akonadiselftest
%{_kde5_bindir}/akonaditest
%{_kde5_bindir}/akonadi_knut_resource
%{_kde5_datadir}/akonadi/agents/knutresource.desktop
%{_kde5_datadir}/config.kcfg/resourcebase.kcfg
%{_kde5_datadir}/kf5/akonadi_knut_resource/knut-template.xml
%{_qt5_plugindir}/akonadi/akonadi_test_searchplugin.so

#----------------------------------------------------------------------------

%package -n qt5-designer-plugin-akonadi5widgets
Summary:	Qt5 Designer plugin for Akonadi Widgets
Group:	Development/KDE and Qt

%description -n qt5-designer-plugin-akonadi5widgets
Qt5 Designer plugin for Akonadi Widgets.

%files -n qt5-designer-plugin-akonadi5widgets
%{_qt5_plugindir}/designer/akonadi5widgets.so

#----------------------------------------------------------------------------

%define kf5akonadiprivate_major 5
%define libkf5akonadiprivate %mklibname kf5akonadiprivate %{kf5akonadiprivate_major}

%package -n %{libkf5akonadiprivate}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5akonadiprivate}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadiprivate}
%{_kde5_libdir}/libKF5AkonadiPrivate.so.%{kf5akonadiprivate_major}*

#----------------------------------------------------------------------------

%define devkf5akonadiserver %mklibname kf5akonadiserver -d

%package -n %{devkf5akonadiserver}
Summary:	Development files for Plasma 5 Akonadi Server
Group:		Development/KDE and Qt
Requires:	%{libkf5akonadiprivate} = %{EVRD}
Provides:	kf5akonadiserver-devel = %{version}
Conflicts:	akonadi-devel

%description -n %{devkf5akonadiserver}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5akonadiserver}
%dir %{_kde5_includedir}/KF5/akonadi
%{_kde5_includedir}/KF5/akonadi/*
%{_kde5_libdir}/libKF5AkonadiPrivate.so
%{_datadir}/dbus-1/interfaces/org.freedesktop.Akonadi.*.xml

#----------------------------------------------------------------------------

%define kf5akonadiagentbase_major 5
%define libkf5akonadiagentbase %mklibname kf5akonadiagentbase %{kf5akonadiagentbase_major}

%package -n %{libkf5akonadiagentbase}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5akonadiagentbase}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadiagentbase}
%{_kde5_libdir}/libKF5AkonadiAgentBase.so.%{kf5akonadiagentbase_major}*

#----------------------------------------------------------------------------

%define kf5akonadicore_major 5
%define libkf5akonadicore %mklibname kf5akonadicore %{kf5akonadicore_major}

%package -n %{libkf5akonadicore}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5akonadicore}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadicore}
%{_kde5_libdir}/libKF5AkonadiCore.so.%{kf5akonadicore_major}*

#----------------------------------------------------------------------------

%define kf5akonadiwidgets_major 5
%define libkf5akonadiwidgets %mklibname kf5akonadiwidgets %{kf5akonadiwidgets_major}

%package -n %{libkf5akonadiwidgets}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5akonadiwidgets}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadiwidgets}
%{_kde5_libdir}/libKF5AkonadiWidgets.so.%{kf5akonadiwidgets_major}*

#----------------------------------------------------------------------------

%define kf5akonadixml_major 5
%define libkf5akonadixml %mklibname kf5akonadixml %{kf5akonadixml_major}

%package -n %{libkf5akonadixml}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5akonadixml}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadixml}
%{_kde5_libdir}/libKF5AkonadiXml.so.%{kf5akonadixml_major}*

#----------------------------------------------------------------------------

%define devkf5akonadi %mklibname kf5akonadi -d

%package -n %{devkf5akonadi}
Summary:	Development files for Plasma 5 Akonadi
Group:		Development/KDE and Qt
Requires:	%{libkf5akonadiagentbase} = %{EVRD}
Requires:	%{libkf5akonadicore} = %{EVRD}
Requires:	%{libkf5akonadiwidgets} = %{EVRD}
Requires:	%{libkf5akonadixml} = %{EVRD}
Requires:	qt5-designer-plugin-akonadi5widgets
Requires:	boost-devel
Provides:	kf5akonadi-devel = %{version}
Conflicts:	plasma5-akonadi-client < 16.04.2-2

%description -n %{devkf5akonadi}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5akonadi}
%{_kde5_datadir}/kf5/akonadi/akonadi-xml.xsd
%{_kde5_datadir}/kf5/akonadi/kcfg2dbus.xsl
%dir %{_kde5_includedir}/KF5/AkonadiAgentBase
%{_kde5_includedir}/KF5/AkonadiAgentBase/*
%dir %{_kde5_includedir}/KF5/AkonadiCore
%{_kde5_includedir}/KF5/AkonadiCore/*
%dir %{_kde5_includedir}/KF5/AkonadiWidgets
%{_kde5_includedir}/KF5/AkonadiWidgets/*
%dir %{_kde5_includedir}/KF5/AkonadiXml
%{_kde5_includedir}/KF5/AkonadiXml/*
%{_kde5_includedir}/KF5/akonadi_version.h
%{_kde5_libdir}/cmake/KF5Akonadi
%{_kde5_libdir}/libKF5AkonadiAgentBase.so
%{_kde5_libdir}/libKF5AkonadiCore.so
%{_kde5_libdir}/libKF5AkonadiWidgets.so
%{_kde5_libdir}/libKF5AkonadiXml.so
%{_kde5_mkspecsdir}/qt_AkonadiAgentBase.pri
%{_kde5_mkspecsdir}/qt_AkonadiCore.pri
%{_kde5_mkspecsdir}/qt_AkonadiWidgets.pri
%{_kde5_mkspecsdir}/qt_AkonadiXml.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (a948b13) New version 16.04.3


